List invitations
curl --request GET \
--url https://dev-public-api.openphone.dev/invites \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "IV123abc",
"email": "johndoe@example.com",
"phoneNumberIds": [
"PN123abc"
],
"role": "member",
"status": "pending",
"acceptedAt": "2022-01-01T00:00:00Z",
"acceptedBy": "US456def",
"cancelledAt": "2022-01-01T00:00:00Z",
"createdAt": "2022-01-01T00:00:00Z",
"invitedBy": "US123abc",
"updatedAt": "2022-01-01T00:00:00Z"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/inviteId",
"message": "Expected string to match '^IV(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^IV(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "You do not have permission to invite an admin",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Invites
List invitations
Retrieve a paginated list of workspace invitations. Returns pending invitations by default — pass status=all to include accepted and cancelled ones.
GET
/
invites
List invitations
curl --request GET \
--url https://dev-public-api.openphone.dev/invites \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "IV123abc",
"email": "johndoe@example.com",
"phoneNumberIds": [
"PN123abc"
],
"role": "member",
"status": "pending",
"acceptedAt": "2022-01-01T00:00:00Z",
"acceptedBy": "US456def",
"cancelledAt": "2022-01-01T00:00:00Z",
"createdAt": "2022-01-01T00:00:00Z",
"invitedBy": "US123abc",
"updatedAt": "2022-01-01T00:00:00Z"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/inviteId",
"message": "Expected string to match '^IV(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^IV(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "You do not have permission to invite an admin",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Query Parameters
Max number of items to return per page.
Required range:
1 <= x <= 50Example:
"eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
Filter by invitation state, such as status=accepted. To match any of several, use status[in]=accepted,cancelled. Defaults to pending.
Available options:
pending, accepted, cancelled Example:
"pending"
Was this page helpful?